Returns detail for a single session identified by session_id. Optionally includes related data via the include array (e.g. [“history”, “agents”]). Requires read scope.
POST
/
sessions
/
get_by_id
Get session detail
curl --request POST \
--url https://api.svantic.com/sessions/get_by_id \
--header 'Content-Type: application/json' \
--data '
{
"session_id": "string",
"include": [
"history"
]
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({session_id: 'string', include: ['history']})
};
fetch('https://api.svantic.com/sessions/get_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/sessions/get_by_id"
payload = {
"session_id": "string",
"include": ["history"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/sessions/get_by_id"
payload := strings.NewReader("{\n \"session_id\": \"string\",\n \"include\": [\n \"history\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ok": true,
"session": {
"session_id": "string",
"tenant_id": "string",
"user_id": "string",
"status": "string",
"total_turns": 0,
"total_tokens": 0,
"created_at": "2026-03-31T12:00:00.000Z",
"ended_at": "2026-03-31T12:00:00.000Z"
},
"turns": [
{}
],
"last_activity": "2026-03-31T12:00:00.000Z",
"agents": [
{
"agent_type": "string",
"instance_id": "string",
"join_reason": "string",
"joined_at": "2026-03-31T12:00:00.000Z"
}
]
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"error": "Request timeout",
"code": "REQUEST_TIMEOUT"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Bad gateway",
"code": "BAD_GATEWAY"
}{
"error": "Service temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}Body
application/json
Response
Session detail with optional includes.
⌘I
Get session detail
curl --request POST \
--url https://api.svantic.com/sessions/get_by_id \
--header 'Content-Type: application/json' \
--data '
{
"session_id": "string",
"include": [
"history"
]
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({session_id: 'string', include: ['history']})
};
fetch('https://api.svantic.com/sessions/get_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/sessions/get_by_id"
payload = {
"session_id": "string",
"include": ["history"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/sessions/get_by_id"
payload := strings.NewReader("{\n \"session_id\": \"string\",\n \"include\": [\n \"history\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ok": true,
"session": {
"session_id": "string",
"tenant_id": "string",
"user_id": "string",
"status": "string",
"total_turns": 0,
"total_tokens": 0,
"created_at": "2026-03-31T12:00:00.000Z",
"ended_at": "2026-03-31T12:00:00.000Z"
},
"turns": [
{}
],
"last_activity": "2026-03-31T12:00:00.000Z",
"agents": [
{
"agent_type": "string",
"instance_id": "string",
"join_reason": "string",
"joined_at": "2026-03-31T12:00:00.000Z"
}
]
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"error": "Request timeout",
"code": "REQUEST_TIMEOUT"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Bad gateway",
"code": "BAD_GATEWAY"
}{
"error": "Service temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}